View Issue Details

IDProjectCategoryView StatusLast Update
0002648WishesMousepublic2017-11-09 23:42
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002648: Выделение мышью для копирования консольного буфера в режиме WindowMode=true
DescriptionВ свойствах консоли есть опция "Выделение мышью", позволяющая использовать мышь для выделения прямоугольного блока.
Это было бы удобно использовать в случае когда требуется выделить блок _выше_ окна фара (фаровский граббер там не работает).

Однако фар не даёт включить эту опцию, поскольку использует мышь сам (Options/Interface settings/[x]Mouse).
Но в рассматриваемом случае конфликта с фаровской опцией [x]Mouse нет, т.к. фар можно сказать "не в фокусе", или точнее "не в окне".

Предлагаю распознавать ситуацию, когда фар "не в окне", и автоматически активировать системную опцию "Выделение мышью".
TagsWindowMode
Build5092

Relationships

related to 0001395 new Выделение по Alt+Ins в пределах ScreenBuffer 

Activities

DrKnS

2017-11-07 23:31

administrator   bugnote:0015806

5092

Issue History

Date Modified Username Field Change
2014-04-14 14:38 JohnDoe New Issue
2017-11-02 18:56 JohnDoe Tag Attached: WindowMode
2017-11-02 19:01 JohnDoe Relationship added related to 0001395
2017-11-07 23:31 DrKnS Assigned To => DrKnS
2017-11-07 23:31 DrKnS Status new => feedback
2017-11-07 23:31 DrKnS Note Added: 0015806
2017-11-08 10:42 JohnDoe Status feedback => resolved
2017-11-09 23:42 DrKnS Status resolved => closed
2017-11-09 23:42 DrKnS Resolution open => fixed
2017-11-09 23:42 DrKnS Fixed in Version => 3.0
2017-11-09 23:42 DrKnS Build => 5092